// pages/admin/exam/detail.js
const api = require("../../../utils/request.js");
Page({

  /**
   * 页面的初始数据
   */
  data: {
    exam:{
      qdimgs:[],
      xcimgs:[]
    },
    tests:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    if(options.id){
      let id = options.id
      this.data.exam.id = id
      api.requesta('/examtest/examtest/', 'GET', {exam:id, pageoff:true}).then(res=>{
        this.setData({
          tests:res.data
        })
      })
    }
  },
  getExam: function(){
    let id = this.data.exam.id
    api.requesta(`/examtest/exam/${id}/`, 'GET').then(res=>{
      let exam = res.data
      for(var i=0;i<exam.qdimgs.length;i++){
        exam.qdimgs[i] = getApp().globalData.host+exam.qdimgs[i]
      }
      for(var i=0;i<exam.xcimgs.length;i++){
        exam.xcimgs[i] = getApp().globalData.host+exam.xcimgs[i]
      }
      this.setData({
        exam:exam
      })
    })
  },
  previewImage: function (e) {
    if(e.currentTarget.dataset.type=='qdimgs'){
    wx.previewImage({
      current: e.currentTarget.id, // 当前显示图片的http链接
      urls: this.data.exam.qdimgs // 需要预览的图片http链接列表
    })
  }else{
    wx.previewImage({
      current: e.currentTarget.id, // 当前显示图片的http链接
      urls: this.data.exam.xcimgs // 需要预览的图片http链接列表
    })
    }
  },
  issue: function(){
    wx.showLoading({
      title: '正在生成...',
    })

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getExam()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  issue: function(e){
    let id = e.currentTarget.dataset.id; // 考试id
    wx.showLoading({
      title: '证书颁发中...',
    })
    api.requesta(`/examtest/examtest/${id}/issue/`, 'POST').then(res=>{
      wx.hideLoading()
      let index = e.currentTarget.dataset.index;
      this.setData({
        ['tests[' + index + '].candidate_']:res.data
      })
      wx.showToast({
        title: '证书颁发成功',
      })
    })
  },
  godetail: function(e){
    wx.navigateTo({
      url: '/pages/test/detail?id='+e.currentTarget.dataset.id,
    })
  },
  goCandidate:function(e){
    let candidate_ = e.currentTarget.dataset.candidate_;
    wx.navigateTo({
      url: '/pages/candidate/show?id='+candidate_.id,
    })
  },
  upImg: function(){
    wx.navigateTo({
      url: '/pages/admin/exam/upimg?id='+this.data.exam.id,
    })
  }
})